ompi/mca/coll/sm/coll_sm_component.c File Reference.TH "ompi/mca/coll/sm/coll_sm_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/coll/sm/coll_sm_component.c \- Most of the description of the data layout is in the \fBcoll_sm_module.c\fP file. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'ompi/include/constants.h'\fP
.br
\fC#include 'ompi/communicator/communicator.h'\fP
.br
\fC#include 'ompi/mca/coll/coll.h'\fP
.br
\fC#include 'opal/util/show_help.h'\fP
.br
\fC#include 'coll_sm.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static int \fBsm_open\fP (void)"
.br
.ti -1c
.RI "static int \fBsm_close\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "const char * \fBmca_coll_sm_component_version_string\fP"
.br
.ti -1c
.RI "\fBmca_coll_sm_component_t\fP \fBmca_coll_sm_component\fP"
.br
.RI "\fIGlobal component instance. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Most of the description of the data layout is in the \fBcoll_sm_module.c\fP file. 


.SH "Variable Documentation"
.PP 
.SS "const char* mca_coll_sm_component_version_string"
.PP
\fBInitial value:\fP
.PP
.nf

    'Open MPI sm collective MCA component version ' OMPI_VERSION
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
